<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Calculation\TextData</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_ASCIICODE" title="ASCIICODE ::ASCIICODE.">
            <span class="description">ASCIICODE.</span><pre>ASCIICODE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_CHARACTER" title="CHARACTER ::CHARACTER.">
            <span class="description">CHARACTER.</span><pre>CHARACTER</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_CONCATENATE" title="CONCATENATE ::CONCATENATE.">
            <span class="description">CONCATENATE.</span><pre>CONCATENATE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DOLLAR" title="DOLLAR ::DOLLAR.">
            <span class="description">DOLLAR.</span><pre>DOLLAR</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_EXACT" title="EXACT ::Compares two text strings and returns TRUE if they are exactly the same, FALSE otherwise.">
            <span class="description">Compares two text strings and returns TRUE if they are exactly the same, FALSE otherwise.</span><pre>EXACT</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_FIXEDFORMAT" title="FIXEDFORMAT ::FIXEDFORMAT.">
            <span class="description">FIXEDFORMAT.</span><pre>FIXEDFORMAT</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_LEFT" title="LEFT ::LEFT.">
            <span class="description">LEFT.</span><pre>LEFT</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_LOWERCASE" title="LOWERCASE ::LOWERCASE.">
            <span class="description">LOWERCASE.</span><pre>LOWERCASE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_MID" title="MID ::MID.">
            <span class="description">MID.</span><pre>MID</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_NUMBERVALUE" title="NUMBERVALUE ::NUMBERVALUE.">
            <span class="description">NUMBERVALUE.</span><pre>NUMBERVALUE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_PROPERCASE" title="PROPERCASE ::PROPERCASE.">
            <span class="description">PROPERCASE.</span><pre>PROPERCASE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_REPLACE" title="REPLACE ::REPLACE.">
            <span class="description">REPLACE.</span><pre>REPLACE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_RETURNSTRING" title="RETURNSTRING ::RETURNSTRING.">
            <span class="description">RETURNSTRING.</span><pre>RETURNSTRING</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_RIGHT" title="RIGHT ::RIGHT.">
            <span class="description">RIGHT.</span><pre>RIGHT</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_SEARCHINSENSITIVE" title="SEARCHINSENSITIVE ::SEARCHINSENSITIVE.">
            <span class="description">SEARCHINSENSITIVE.</span><pre>SEARCHINSENSITIVE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_SEARCHSENSITIVE" title="SEARCHSENSITIVE ::SEARCHSENSITIVE.">
            <span class="description">SEARCHSENSITIVE.</span><pre>SEARCHSENSITIVE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_STRINGLENGTH" title="STRINGLENGTH ::STRINGLENGTH.">
            <span class="description">STRINGLENGTH.</span><pre>STRINGLENGTH</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_SUBSTITUTE" title="SUBSTITUTE ::SUBSTITUTE.">
            <span class="description">SUBSTITUTE.</span><pre>SUBSTITUTE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_TEXTFORMAT" title="TEXTFORMAT ::TEXTFORMAT.">
            <span class="description">TEXTFORMAT.</span><pre>TEXTFORMAT</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_TEXTJOIN" title="TEXTJOIN ::TEXTJOIN.">
            <span class="description">TEXTJOIN.</span><pre>TEXTJOIN</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_TRIMNONPRINTABLE" title="TRIMNONPRINTABLE ::TRIMNONPRINTABLE.">
            <span class="description">TRIMNONPRINTABLE.</span><pre>TRIMNONPRINTABLE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_TRIMSPACES" title="TRIMSPACES ::TRIMSPACES.">
            <span class="description">TRIMSPACES.</span><pre>TRIMSPACES</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_UPPERCASE" title="UPPERCASE ::UPPERCASE.">
            <span class="description">UPPERCASE.</span><pre>UPPERCASE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_VALUE" title="VALUE ::VALUE.">
            <span class="description">VALUE.</span><pre>VALUE</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_convertBooleanValue" title="convertBooleanValue ::">
                                <span class="description"></span><pre>convertBooleanValue</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_unicodeToOrd" title="unicodeToOrd ::">
                                <span class="description"></span><pre>unicodeToOrd</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>TextData</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_ASCIICODE"></a>
                        <div class="element clickable methodpublic method_ASCIICODE" data-toggle="collapse" data-target=".method_ASCIICODE .collapse">
                            <h2>ASCIICODE.</h2>
                            <pre>ASCIICODE(string $characters): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$characters</h4>
                                                <code>string</code><p><p>Value</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_CHARACTER"></a>
                        <div class="element clickable methodpublic method_CHARACTER" data-toggle="collapse" data-target=".method_CHARACTER .collapse">
                            <h2>CHARACTER.</h2>
                            <pre>CHARACTER(string $character): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$character</h4>
                                                <code>string</code><p><p>Value</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_CONCATENATE"></a>
                        <div class="element clickable methodpublic method_CONCATENATE" data-toggle="collapse" data-target=".method_CONCATENATE .collapse">
                            <h2>CONCATENATE.</h2>
                            <pre>CONCATENATE( $args): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$args</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_convertBooleanValue"></a>
                        <div class="element clickable methodprivate method_convertBooleanValue" data-toggle="collapse" data-target=".method_convertBooleanValue .collapse">
                            <h2>convertBooleanValue</h2>
                            <pre>convertBooleanValue( $value)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_DOLLAR"></a>
                        <div class="element clickable methodpublic method_DOLLAR" data-toggle="collapse" data-target=".method_DOLLAR .collapse">
                            <h2>DOLLAR.</h2>
                            <pre>DOLLAR(float $value,integer $decimals = 2): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>This function converts a number to text using currency format, with the decimals rounded to the specified place.
The format used is $#,##0.00_);($#,##0.00)..</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>float</code><p><p>The value to format</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$decimals</h4>
                                                <code>integer</code><p><p>The number of digits to display to the right of the decimal point.
If decimals is negative, number is rounded to the left of the decimal point.
If you omit decimals, it is assumed to be 2</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_EXACT"></a>
                        <div class="element clickable methodpublic method_EXACT" data-toggle="collapse" data-target=".method_EXACT .collapse">
                            <h2>Compares two text strings and returns TRUE if they are exactly the same, FALSE otherwise.</h2>
                            <pre>EXACT( $value1, $value2): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>EXACT is case-sensitive but ignores formatting differences.
Use EXACT to test text being entered into a document.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value1</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$value2</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_FIXEDFORMAT"></a>
                        <div class="element clickable methodpublic method_FIXEDFORMAT" data-toggle="collapse" data-target=".method_FIXEDFORMAT .collapse">
                            <h2>FIXEDFORMAT.</h2>
                            <pre>FIXEDFORMAT(mixed $value,integer $decimals = 2,boolean $no_commas = false): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>mixed</code><p><p>Value to check</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$decimals</h4>
                                                <code>integer</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$no_commas</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_LEFT"></a>
                        <div class="element clickable methodpublic method_LEFT" data-toggle="collapse" data-target=".method_LEFT .collapse">
                            <h2>LEFT.</h2>
                            <pre>LEFT(string $value = &#039;&#039;,integer $chars = 1): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p><p>Value</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$chars</h4>
                                                <code>integer</code><p><p>Number of characters</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_LOWERCASE"></a>
                        <div class="element clickable methodpublic method_LOWERCASE" data-toggle="collapse" data-target=".method_LOWERCASE .collapse">
                            <h2>LOWERCASE.</h2>
                            <pre>LOWERCASE(string $mixedCaseString): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Converts a string value to upper case.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$mixedCaseString</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_MID"></a>
                        <div class="element clickable methodpublic method_MID" data-toggle="collapse" data-target=".method_MID .collapse">
                            <h2>MID.</h2>
                            <pre>MID(string $value = &#039;&#039;,integer $start = 1,integer $chars = null): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p><p>Value</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$start</h4>
                                                <code>integer</code><p><p>Start character</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$chars</h4>
                                                <code>integer</code><p><p>Number of characters</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_NUMBERVALUE"></a>
                        <div class="element clickable methodpublic method_NUMBERVALUE" data-toggle="collapse" data-target=".method_NUMBERVALUE .collapse">
                            <h2>NUMBERVALUE.</h2>
                            <pre>NUMBERVALUE(mixed $value = &#039;&#039;,string $decimalSeparator = null,string $groupSeparator = null): float|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>mixed</code><p><p>Value to check</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$decimalSeparator</h4>
                                                <code>string</code><p><p>decimal separator, defaults to locale defined value</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$groupSeparator</h4>
                                                <code>string</code><p><p>group/thosands separator, defaults to locale defined value</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float|string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_PROPERCASE"></a>
                        <div class="element clickable methodpublic method_PROPERCASE" data-toggle="collapse" data-target=".method_PROPERCASE .collapse">
                            <h2>PROPERCASE.</h2>
                            <pre>PROPERCASE(string $mixedCaseString): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Converts a string value to upper case.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$mixedCaseString</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_REPLACE"></a>
                        <div class="element clickable methodpublic method_REPLACE" data-toggle="collapse" data-target=".method_REPLACE .collapse">
                            <h2>REPLACE.</h2>
                            <pre>REPLACE(string $oldText,integer $start,integer $chars,string $newText): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$oldText</h4>
                                                <code>string</code><p><p>String to modify</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$start</h4>
                                                <code>integer</code><p><p>Start character</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$chars</h4>
                                                <code>integer</code><p><p>Number of characters</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$newText</h4>
                                                <code>string</code><p><p>String to replace in defined position</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_RETURNSTRING"></a>
                        <div class="element clickable methodpublic method_RETURNSTRING" data-toggle="collapse" data-target=".method_RETURNSTRING .collapse">
                            <h2>RETURNSTRING.</h2>
                            <pre>RETURNSTRING(mixed $testValue = &#039;&#039;): null|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$testValue</h4>
                                                <code>mixed</code><p><p>Value to check</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>null|string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_RIGHT"></a>
                        <div class="element clickable methodpublic method_RIGHT" data-toggle="collapse" data-target=".method_RIGHT .collapse">
                            <h2>RIGHT.</h2>
                            <pre>RIGHT(string $value = &#039;&#039;,integer $chars = 1): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p><p>Value</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$chars</h4>
                                                <code>integer</code><p><p>Number of characters</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_SEARCHINSENSITIVE"></a>
                        <div class="element clickable methodpublic method_SEARCHINSENSITIVE" data-toggle="collapse" data-target=".method_SEARCHINSENSITIVE .collapse">
                            <h2>SEARCHINSENSITIVE.</h2>
                            <pre>SEARCHINSENSITIVE(string $needle,string $haystack,integer $offset = 1): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$needle</h4>
                                                <code>string</code><p><p>The string to look for</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$haystack</h4>
                                                <code>string</code><p><p>The string in which to look</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$offset</h4>
                                                <code>integer</code><p><p>Offset within $haystack</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_SEARCHSENSITIVE"></a>
                        <div class="element clickable methodpublic method_SEARCHSENSITIVE" data-toggle="collapse" data-target=".method_SEARCHSENSITIVE .collapse">
                            <h2>SEARCHSENSITIVE.</h2>
                            <pre>SEARCHSENSITIVE(string $needle,string $haystack,integer $offset = 1): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$needle</h4>
                                                <code>string</code><p><p>The string to look for</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$haystack</h4>
                                                <code>string</code><p><p>The string in which to look</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$offset</h4>
                                                <code>integer</code><p><p>Offset within $haystack</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_STRINGLENGTH"></a>
                        <div class="element clickable methodpublic method_STRINGLENGTH" data-toggle="collapse" data-target=".method_STRINGLENGTH .collapse">
                            <h2>STRINGLENGTH.</h2>
                            <pre>STRINGLENGTH(string $value = &#039;&#039;): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p><p>Value</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_SUBSTITUTE"></a>
                        <div class="element clickable methodpublic method_SUBSTITUTE" data-toggle="collapse" data-target=".method_SUBSTITUTE .collapse">
                            <h2>SUBSTITUTE.</h2>
                            <pre>SUBSTITUTE(string $text = &#039;&#039;,string $fromText = &#039;&#039;,string $toText = &#039;&#039;,integer $instance): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$text</h4>
                                                <code>string</code><p><p>Value</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$fromText</h4>
                                                <code>string</code><p><p>From Value</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$toText</h4>
                                                <code>string</code><p><p>To Value</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$instance</h4>
                                                <code>integer</code><p><p>Instance Number</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_TEXTFORMAT"></a>
                        <div class="element clickable methodpublic method_TEXTFORMAT" data-toggle="collapse" data-target=".method_TEXTFORMAT .collapse">
                            <h2>TEXTFORMAT.</h2>
                            <pre>TEXTFORMAT(mixed $value,string $format): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>mixed</code><p><p>Value to check</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$format</h4>
                                                <code>string</code><p><p>Format mask to use</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_TEXTJOIN"></a>
                        <div class="element clickable methodpublic method_TEXTJOIN" data-toggle="collapse" data-target=".method_TEXTJOIN .collapse">
                            <h2>TEXTJOIN.</h2>
                            <pre>TEXTJOIN(mixed $delimiter,mixed $ignoreEmpty,mixed $args): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$delimiter</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$ignoreEmpty</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$args</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_TRIMNONPRINTABLE"></a>
                        <div class="element clickable methodpublic method_TRIMNONPRINTABLE" data-toggle="collapse" data-target=".method_TRIMNONPRINTABLE .collapse">
                            <h2>TRIMNONPRINTABLE.</h2>
                            <pre>TRIMNONPRINTABLE(mixed $stringValue = &#039;&#039;): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$stringValue</h4>
                                                <code>mixed</code><p><p>Value to check</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_TRIMSPACES"></a>
                        <div class="element clickable methodpublic method_TRIMSPACES" data-toggle="collapse" data-target=".method_TRIMSPACES .collapse">
                            <h2>TRIMSPACES.</h2>
                            <pre>TRIMSPACES(mixed $stringValue = &#039;&#039;): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$stringValue</h4>
                                                <code>mixed</code><p><p>Value to check</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_unicodeToOrd"></a>
                        <div class="element clickable methodprivate method_unicodeToOrd" data-toggle="collapse" data-target=".method_unicodeToOrd .collapse">
                            <h2>unicodeToOrd</h2>
                            <pre>unicodeToOrd( $character)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$character</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_UPPERCASE"></a>
                        <div class="element clickable methodpublic method_UPPERCASE" data-toggle="collapse" data-target=".method_UPPERCASE .collapse">
                            <h2>UPPERCASE.</h2>
                            <pre>UPPERCASE(string $mixedCaseString): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Converts a string value to upper case.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$mixedCaseString</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_VALUE"></a>
                        <div class="element clickable methodpublic method_VALUE" data-toggle="collapse" data-target=".method_VALUE .collapse">
                            <h2>VALUE.</h2>
                            <pre>VALUE(mixed $value = &#039;&#039;): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>mixed</code><p><p>Value to check</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_invalidChars"> </a>
                            <div class="element clickable propertyprivate property_invalidChars" data-toggle="collapse" data-target=".property_invalidChars .collapse">
                                <h2>invalidChars</h2>
                                <pre>invalidChars :</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Calculation\TextData"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.html">Calculation</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.TextData.html">TextData</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:48 +0000.<br/>
    </footer></body>
</html>
